/* Global Styles */
* {
    box-sizing: border-box;
}

html, body {
    width: 100%;
    min-height: 100%;
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, sans-serif;
    background-color: rgb(31,31,31);
}
body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: rgb(31, 31, 31);
}

/* Sticky Header */
/*  old background-color: #7CD029;*/
header {
    
    background-color: rgb(25, 52, 25);
    color: white;
    padding: 10px 20px;
    text-align: center;
    position: sticky;
    top: 0;
    z-index: 1000;
    display: flex;
    justify-content: center; 
    align-items: center;
    size : clamp(1rem, 2vw, 2rem);
}
.cart-icon {
    position: absolute;
    right: 2vw;
    top: 50%;
    transform: translateY(-50%);
}

#centered-title {
    margin: 0; /* Removes any default margins */
    text-align: center;
}
nav {
    min-height: 60px;

    font-family: Palatino, 'Palatino Linotype', serif;
    display:flex;
    align-items:center;
    background-color: rgb(0, 0, 0);
    gap:20px;

    padding:10px;

    
}

nav a {
    color:white;
    text-decoration:none;
    font-size:clamp(1rem, 2vw, 2rem);
}
/* Sticky Footer */
footer {
    background-color: #000;
    color: white;
    padding: 0px;
    text-align: center;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 6;
}
footer-left {
    color: white;
    padding: 10px;
    text-align: left;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 6;

    font-size: clamp(2px, 1vw, 4px);
}

HTML, body {
    margin: 0;
    padding: 0;
    height: 100%; /* Ensure the body and html take up the full height */
}

.container {
    display: flex;
    min-height: 100vh; /* Set container height to viewport height */
}

.sidebar {
    background-color: #555555;
    width: 10%; /* Allow it to fill the container height */
    height: auto
    
}

.content {
    flex: 1; /* Take up the remaining space */
    padding: 20px;
}
